package com.xzzn.ems.service.impl;

import com.xzzn.ems.domain.EmsSite;
import com.xzzn.ems.domain.vo.SiteTotalInfoVo;
import com.xzzn.ems.mapper.EmsSiteMapper;
import com.xzzn.ems.service.IEmsSiteService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 站点信息 服务层实现
 *
 */
@Service
public class EmsSiteServiceImpl implements IEmsSiteService
{

    @Autowired
    private EmsSiteMapper emsSiteMapper;

    @Override
    public List<EmsSite> getAllSites() {
        return emsSiteMapper.selectSiteList();
    }

    @Override
    public SiteTotalInfoVo getSiteTotalInfo() {
        return emsSiteMapper.getSiteTotalInfo();
    }

}
